package com.atmob.voiceai.module.subscription;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;

import com.atmob.app.lib.base.BaseActivity;
import com.atmob.voiceai.databinding.ActivitySubscriptionPageBinding;

import dagger.hilt.android.AndroidEntryPoint;

@AndroidEntryPoint
public class SubscriptionPageActivity extends BaseActivity<ActivitySubscriptionPageBinding> {


    public static void start(Context context) {
        Intent intent = new Intent(context, SubscriptionPageActivity.class);
        if (!(context instanceof Activity)) {
            intent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
        }
        context.startActivity(intent);
    }


    @Override
    protected boolean shouldImmersion() {
        return true;
    }
}
